/*De Threadklasse Minuut
3 attributen:
minuten (int)
tekstvak
object van de klasse TickTock (=gemeenschappelijk object)
constructor
methode run():
wachten op de tik
als minuten = 60 ->  minuten = 0
anders minuten + 1
nieuwe waarde tonen in tekstvak
*/
import javax.swing.*;

public class Minuut extends Thread
{
	private int minuten;
	private JTextField tekstvak;
	private TickTock tik;

	public Minuut()
	{
		minuten = 0;
		tik = new TickTock();
		tekstvak = new JTextField(15);
	}

	public Minuut(JTextField a, TickTock b)
	{
		minuten = 0;
		tik = b;
		tekstvak = a;
	}

	public void run()
	{
		while(true)
		{
			tik.wachtOpTick();
			if(minuten == 60)
				minuten = 0;
			else
				minuten++;

			tekstvak.setText(minuten + " minuten");
		}
	}
}